<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier src/filter.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('filter_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier filter.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contient les fonctions pour gérer le filtrage de la table de hachage selon les critères.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="search__engine_8h_source.html">../inc/search_engine.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a07c22e6677643f6464cbca8614d799e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a07c22e6677643f6464cbca8614d799e6">filter_by_name</a> (<a class="el" href="structtable__t.html">table_t</a> *table, char *criteria_str, <a class="el" href="structtable__t.html">table_t</a> *filtered_table)</td></tr>
<tr class="memdesc:a07c22e6677643f6464cbca8614d799e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la tablea de hachage selon les noms des fichiers.  <a href="#a07c22e6677643f6464cbca8614d799e6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a07c22e6677643f6464cbca8614d799e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807ec1c5ac0a45df7bd3de427f0a0191"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a807ec1c5ac0a45df7bd3de427f0a0191">filter_by_size</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structcriteria__t.html">criteria_t</a> *criteria, <a class="el" href="structtable__t.html">table_t</a> *filtered_table)</td></tr>
<tr class="memdesc:a807ec1c5ac0a45df7bd3de427f0a0191"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hachage selon les tailles des fichies.  <a href="#a807ec1c5ac0a45df7bd3de427f0a0191">Plus de détails...</a><br /></td></tr>
<tr class="separator:a807ec1c5ac0a45df7bd3de427f0a0191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6f238c039d7d8cfef12586359c456b9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#ab6f238c039d7d8cfef12586359c456b9">compare_dates</a> (struct tm *date1, struct tm *date2)</td></tr>
<tr class="memdesc:ab6f238c039d7d8cfef12586359c456b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparer deux dates.  <a href="#ab6f238c039d7d8cfef12586359c456b9">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab6f238c039d7d8cfef12586359c456b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b53948ffa98370b2971353eb1f58efb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a0b53948ffa98370b2971353eb1f58efb">filter_by_date</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structcriteria__t.html">criteria_t</a> *criteria, <a class="el" href="structtable__t.html">table_t</a> *filtered_table)</td></tr>
<tr class="memdesc:a0b53948ffa98370b2971353eb1f58efb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hache selon les dates.  <a href="#a0b53948ffa98370b2971353eb1f58efb">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0b53948ffa98370b2971353eb1f58efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a060f16dbf7627ad29e493f5b397d26ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a060f16dbf7627ad29e493f5b397d26ff">filter_by_owner</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structcriteria__t.html">criteria_t</a> *criteria, <a class="el" href="structtable__t.html">table_t</a> *filtered_table)</td></tr>
<tr class="memdesc:a060f16dbf7627ad29e493f5b397d26ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hachage selon le propriétaire.  <a href="#a060f16dbf7627ad29e493f5b397d26ff">Plus de détails...</a><br /></td></tr>
<tr class="separator:a060f16dbf7627ad29e493f5b397d26ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe5b9e31104b2c33ba1c83360d852cac"><td class="memItemLeft" align="right" valign="top">char const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#abe5b9e31104b2c33ba1c83360d852cac">octal_permession</a> (__mode_t mode)</td></tr>
<tr class="memdesc:abe5b9e31104b2c33ba1c83360d852cac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construction d'une chaine de caractère qui représente les permession en octal.  <a href="#abe5b9e31104b2c33ba1c83360d852cac">Plus de détails...</a><br /></td></tr>
<tr class="separator:abe5b9e31104b2c33ba1c83360d852cac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e4ce116a517a119af827a660a23668"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a24e4ce116a517a119af827a660a23668">filter_by_mode_equals</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structcriteria__t.html">criteria_t</a> *criteria, <a class="el" href="structtable__t.html">table_t</a> *filtered_table)</td></tr>
<tr class="memdesc:a24e4ce116a517a119af827a660a23668"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hachage selon les drois d'accès (les droits d'accés des fichiers sont égaux aux droits d'accés passés dans la structure <em>criteria</em>)  <a href="#a24e4ce116a517a119af827a660a23668">Plus de détails...</a><br /></td></tr>
<tr class="separator:a24e4ce116a517a119af827a660a23668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef65e7fb67dae8323200de51d26ea57f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#aef65e7fb67dae8323200de51d26ea57f">filter_by_mode_contains</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structcriteria__t.html">criteria_t</a> *criteria, <a class="el" href="structtable__t.html">table_t</a> *filtered_table)</td></tr>
<tr class="memdesc:aef65e7fb67dae8323200de51d26ea57f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hachage selon les drois d'accès (les droits d'accés des fichiers contiennent les droits d'accés passés dans la structure <em>criteria</em>)  <a href="#aef65e7fb67dae8323200de51d26ea57f">Plus de détails...</a><br /></td></tr>
<tr class="separator:aef65e7fb67dae8323200de51d26ea57f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c116a43aefa2e3050b5bb7b619bb30f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a6c116a43aefa2e3050b5bb7b619bb30f">filtered_table_gen</a> (<a class="el" href="structtable__t.html">table_t</a> *complete_table, <a class="el" href="structcriteria__t.html">criteria_t</a> *criteria)</td></tr>
<tr class="memdesc:a6c116a43aefa2e3050b5bb7b619bb30f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construction de la table de hachage filtrée.  <a href="#a6c116a43aefa2e3050b5bb7b619bb30f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6c116a43aefa2e3050b5bb7b619bb30f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1504166f4ffe09f0a89183b71a4688"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#adc1504166f4ffe09f0a89183b71a4688">reverse_polish</a> (<a class="el" href="structtable__t.html">table_t</a> *complete_table, <a class="el" href="structtable__t.html">table_t</a> **filtered_tables, <a class="el" href="structexpression__t.html">expression_t</a> *strct)</td></tr>
<tr class="memdesc:adc1504166f4ffe09f0a89183b71a4688"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hachage selon plusieurs critères (en appliquant la logique de polonaise inverse)  <a href="#adc1504166f4ffe09f0a89183b71a4688">Plus de détails...</a><br /></td></tr>
<tr class="separator:adc1504166f4ffe09f0a89183b71a4688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f5eebc4d2fbda2b4321d9328e3da03a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="filter_8c.html#a0f5eebc4d2fbda2b4321d9328e3da03a">filter</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structexpression__t.html">expression_t</a> *strct)</td></tr>
<tr class="memdesc:a0f5eebc4d2fbda2b4321d9328e3da03a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtrer la table de hachage.  <a href="#a0f5eebc4d2fbda2b4321d9328e3da03a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0f5eebc4d2fbda2b4321d9328e3da03a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Contient les fonctions pour gérer le filtrage de la table de hachage selon les critères. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="ab6f238c039d7d8cfef12586359c456b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6f238c039d7d8cfef12586359c456b9">&#9670;&nbsp;</a></span>compare_dates()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int compare_dates </td>
          <td>(</td>
          <td class="paramtype">struct tm *&#160;</td>
          <td class="paramname"><em>date1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct tm *&#160;</td>
          <td class="paramname"><em>date2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Comparer deux dates. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">date1</td><td>Première date </td></tr>
    <tr><td class="paramname">date2</td><td>Deuxième date </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>1 si <em>date1</em> &gt; <em>date2</em>, -1 si <em>date1</em> &lt; <em>date2</em>, 0 si égaux </dd></dl>

</div>
</div>
<a id="a0f5eebc4d2fbda2b4321d9328e3da03a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f5eebc4d2fbda2b4321d9328e3da03a">&#9670;&nbsp;</a></span>filter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a>* filter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td>
          <td class="paramname"><em>strct</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">strct</td><td>Expression polonaise inverse à analyser </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>La table de hachage finale filtrée </dd></dl>

</div>
</div>
<a id="a0b53948ffa98370b2971353eb1f58efb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b53948ffa98370b2971353eb1f58efb">&#9670;&nbsp;</a></span>filter_by_date()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void filter_by_date </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td>
          <td class="paramname"><em>criteria</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>filtered_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hache selon les dates. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria</td><td>Structure qui contient les information recherché </td></tr>
    <tr><td class="paramname">filtered_table</td><td>Table de hachage filtrée </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aef65e7fb67dae8323200de51d26ea57f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef65e7fb67dae8323200de51d26ea57f">&#9670;&nbsp;</a></span>filter_by_mode_contains()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void filter_by_mode_contains </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td>
          <td class="paramname"><em>criteria</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>filtered_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hachage selon les drois d'accès (les droits d'accés des fichiers contiennent les droits d'accés passés dans la structure <em>criteria</em>) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria</td><td>Structure qui contient les information recherché </td></tr>
    <tr><td class="paramname">filtered_table</td><td>Table de hachage filtré </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a24e4ce116a517a119af827a660a23668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24e4ce116a517a119af827a660a23668">&#9670;&nbsp;</a></span>filter_by_mode_equals()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void filter_by_mode_equals </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td>
          <td class="paramname"><em>criteria</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>filtered_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hachage selon les drois d'accès (les droits d'accés des fichiers sont égaux aux droits d'accés passés dans la structure <em>criteria</em>) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria</td><td>Structure qui contient les information recherché </td></tr>
    <tr><td class="paramname">filtered_table</td><td>Table de hachage filtré </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a07c22e6677643f6464cbca8614d799e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07c22e6677643f6464cbca8614d799e6">&#9670;&nbsp;</a></span>filter_by_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void filter_by_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>criteria_str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>filtered_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la tablea de hachage selon les noms des fichiers. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria_str</td><td>Chaine de caractères cherchée </td></tr>
    <tr><td class="paramname">filtered_table</td><td>Table de hachage filtrée </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a060f16dbf7627ad29e493f5b397d26ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a060f16dbf7627ad29e493f5b397d26ff">&#9670;&nbsp;</a></span>filter_by_owner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void filter_by_owner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td>
          <td class="paramname"><em>criteria</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>filtered_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hachage selon le propriétaire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria</td><td>Structure qui contient les information recherché </td></tr>
    <tr><td class="paramname">filtered_table</td><td>Table de hachage filtrée </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a807ec1c5ac0a45df7bd3de427f0a0191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a807ec1c5ac0a45df7bd3de427f0a0191">&#9670;&nbsp;</a></span>filter_by_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void filter_by_size </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td>
          <td class="paramname"><em>criteria</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>filtered_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hachage selon les tailles des fichies. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria</td><td>Structure qui contient les information recherché </td></tr>
    <tr><td class="paramname">filtered_table</td><td>Table de hachage filtrée </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6c116a43aefa2e3050b5bb7b619bb30f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c116a43aefa2e3050b5bb7b619bb30f">&#9670;&nbsp;</a></span>filtered_table_gen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a> * filtered_table_gen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>complete_table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcriteria__t.html">criteria_t</a> *&#160;</td>
          <td class="paramname"><em>criteria</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construction de la table de hachage filtrée. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">criteria</td><td>Structure qui contient les information recherché </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>La table de hachage filtrée </dd></dl>

</div>
</div>
<a id="abe5b9e31104b2c33ba1c83360d852cac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe5b9e31104b2c33ba1c83360d852cac">&#9670;&nbsp;</a></span>octal_permession()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char const  * octal_permession </td>
          <td>(</td>
          <td class="paramtype">__mode_t&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construction d'une chaine de caractère qui représente les permession en octal. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>Structure __mode_t à convertir </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Une chaine de caractère qui représente les permession en octal </dd></dl>

</div>
</div>
<a id="adc1504166f4ffe09f0a89183b71a4688"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc1504166f4ffe09f0a89183b71a4688">&#9670;&nbsp;</a></span>reverse_polish()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a> * reverse_polish </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>complete_table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> **&#160;</td>
          <td class="paramname"><em>filtered_tables</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structexpression__t.html">expression_t</a> *&#160;</td>
          <td class="paramname"><em>strct</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtrer la table de hachage selon plusieurs critères (en appliquant la logique de polonaise inverse) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">complete_table</td><td>Table de hachage qui contient tout les fichiers </td></tr>
    <tr><td class="paramname">filtered_tables</td><td>Tableau de tables de hachage filtrée selon chaque critère </td></tr>
    <tr><td class="paramname">strct</td><td>Expression polonaise inverse à analyser </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>La table de hachage finale filtrée </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="filter_8c.html">filter.c</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
